-- This query is to find the new filespaces created between two dates.  This will 
-- determine what filespaces caused the largest amount of growth in the ADSM database.
-- Update the first and third occurence of the DATE= to the later date.  Update the  
-- second occurence of the DATE= to the earlier date.   Update all the occurences of 
-- SERVER= for the ADSM server to search for.
-- 
SELECT SUBS.SERVER, SUBS.NODE, SUBS.TYPE, SUBS.FILESPACE, SUM(NUMFILES), SUM(SPACEMB)
FROM ADSM.USAGEFS THIS_USAGEFS,
(SELECT SERVER, NODE, TYPE, FILESPACE
FROM ADSM.USAGEFS 
GROUP BY DATE, SERVER, NODE, TYPE, FILESPACE
HAVING DATE='12/13/1997' AND SERVER='adsmsrvr' AND NODE <> 'AFSBKUP'
EXCEPT ALL
SELECT SERVER, NODE, TYPE, FILESPACE
FROM ADSM.USAGEFS
GROUP BY DATE, SERVER, NODE, TYPE, FILESPACE
HAVING DATE='12/06/1997' AND SERVER='adsmsrvr' AND NODE <> 'AFSBKUP') AS SUBS
WHERE THIS_USAGEFS.NODE = SUBS.NODE AND THIS_USAGEFS.FILESPACE = SUBS.FILESPACE AND
DATE='12/13/1997'
GROUP BY SUBS.SERVER, SUBS.NODE, SUBS.TYPE, SUBS.FILESPACE
ORDER BY 5 DESC;  
